<?php
 /* @var $this DepartmentController */
 /* @var $model Department */

 $this->breadcrumbs = array(
     yii::t('default', 'Organization') => array('/dashboard/organization'),
     yii::t('default', 'Departments') => array('index'),
 );

 Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$.fn.yiiGridView.update('department-grid', {
		data: $(this).serialize()
	});
	return false;
});
");
?>

<?php
 if ((Yii::app()->user->checkAccess('Facility Admin')) == false)
 {
     echo CHtml::link(Yii::t('default', 'Add'), array('create'), array('class' => 'btn btn-primary', 'data-dismiss' => 'modal'));
 }
?>
&nbsp;


<div id="flash-msg">
     <br>
    <?php $this->widget('bootstrap.widgets.TbAlert'); ?>
</div>


<?php
     $this->widget('ext.bootstrap.widgets.TbGridView', array(
         'id' => 'department-grid',
         'type' => 'striped',
         'dataProvider' => $model->search(),
         'filter' => $model,
         'columns' => array(
             'name',
             'accounting_unit',
             'activity_code',
             array(
                 'name' => 'location_id',
                 'value' => '$data->location->code',
                 'filter' => CHtml::listData(Location::getAll(), 'id', 'code')
             ),
             array(
                 'name' => 'status',
                 'type' => 'html',
                 'value' => 'CHtml::link(CHtml::image(Yii::app()->request->baseUrl."/css/flags/".$data->status.".png", "img")  ,"#",array("rel"=>"tooltip","title"=>Yii::t(\'default\',$data->status)))',
                 'filter' => array('Active' => Yii::t('default', 'Active'), 'Inactive' => Yii::t('default', 'Inactive')),
                 'htmlOptions' => array('style' => 'text-align:center;'),
             ),
             array(
                 'class' => 'CButtonColumn',
                 'htmlOptions' => array('width' => '60'),
                 'afterDelete' => 'function(link,success,data){ if(success) $("#flash-msg").html(data); }',
                 'buttons' => array(
                     'update' => array(
                         'visible' => 'Yii::app()->user->checkAccess("Facility Admin")? false:true',
                     ),
                      'delete' => array(
                         'visible' => 'Yii::app()->user->checkAccess("Facility Admin")? false:true',
                     ),
                 ),
             ),
         ),
     ));
?>
